Description

Can software (QGIS or some other) completely partition a polygon into disjoint subpolygons by edge proximity, so that each subpolygon

consists of the part of the original polygon that is closest to a particular part of its edge?

See the attached sample file; a triangle with 1 green edge and 2 red edges. The green subpolygon consists of every point in the original

triangle that is closer to the green edge than to any of the red edges. The red subpolygon consists of the rest (all the points that are closer

to any of the red edges than to the green edge).

Of course I need an algorithm that can take complex large polygons (concave, with holes) and output the subpolygons.

History

#1 - 2013-03-10 03:45 AM - Giovanni Manghi

- Status changed from Open to Feedback

Is this an issue report? a feature request? or just a question?

#2 - 2013-03-10 04:10 AM - Erik Sigra

It is a feature request (unless the feature already exists). But I am also interested to hear about any other software implementation that might exist out

there.

#3 - 2013-03-10 04:27 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Subject changed from Polygon partitioning by edge proximity? to Polygon partitioning by edge proximity

Erik Sigra wrote:

It is a feature request

Then it would be better to rephrase the description and/or subject, it sounds more like a question on how to solve an issue, rather than a feature request. It

seems to me also that this request is more adequate for a plugin rather than a core feature. Cheers!

#4 - 2014-06-21 02:22 PM - Giovanni Manghi

- Status changed from Feedback to Open
#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-09-22 10:06 AM - Jürgen Fischer

- Category set to Unknown

Files

polygon_partitioning_by_edge_proximity-example-triangle-red_green.svg554 Bytes 2013-03-10 Erik Sigra
